## openvswitch 3.2.2~git20231029

=== debian/changelog ===
openvswitch (3.2.2~git20231029-2build1) noble; urgency=medium

  * Rebuild against latest dpdk

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Jan 2024 20:08:50 -0500

openvswitch (3.2.2~git20231029-2) unstable; urgency=medium

  * Team upload.
  * d/t/run-tests.sh: Don't stop non-existing testcontroller service.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 30 Nov 2023 06:51:51 +0100

openvswitch (3.2.2~git20231029-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Add architecture-is-64-bit, making the package build only for 64 bits and
    dropping 32 bits support.
  * Drop non-64 bits test blacklists from d/rules.
  * Cleans better.

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/3.2.2_git20231029'
  * d/p/*: Drop patches included in new upstream version.
  * d/control: Bump dpdk dependency (LP: #2040097).
  * d/t/*-skip-tests.txt: Add flaky test to list.
  * d/rules: Provide source tree directly under /usr/src/openvswitch
    instead of providing a .tar.gz archive to fix reproducible build issue.
  * Drop init wiring of testcontroller and vtep emulator (Closes: #1039304).
    - The openvswitch-testcontroller and openvswitch-vtep binary packages
      contain daemons/scripts useful for development and testing.
    - Drop associated init scripts in preparation for deprecation of the
      transitional sysv-init-to-unit generator, as it would be non-trivial
      to convert these to systemd services.
    - An adapted version of the init script will be retained in
      /etc/openvswitch-testcontroller and /etc/openvswitch-vtep and can be
      used for manual control of the test services.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Nov 2023 10:16:21 +0100

openvswitch (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * d/p/tests-Fix-time-dependency-in-overlapping-flows-modification-
    test..patch: Fix riscv64 build failure.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 28 Aug 2023 16:24:15 +0200
