## openvswitch 3.2.2

=== debian/changelog ===
openvswitch (3.2.2-0ubuntu0.23.10.1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Mar 2024 15:19:58 +0000

openvswitch (3.2.2-0ubuntu0.23.10.1) mantic-security; urgency=medium

  * Update to 3.2.2 to fix security issues.
    - CVE-2023-3966: vulnerable to crafted Geneve packets
    - CVE-2023-5366: OpenFlow rules bypass via ICMPv6 Neighbor Adv packets
  * Dropped patches included in new version:
    - d/p/tests-system-traffic-Ensure-no-name-resolution-for-t.patch
    - d/p/tests-Use-ping-timeout-instead-of-deadline.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 29 Feb 2024 11:25:34 -0500
