=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openvswitch
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Simon Horman <horms@debian.org>,
  Thomas Goirand <zigo@debian.org>,
@@ -9,7 +10,6 @@
  Luca Boccassi <bluca@debian.org>,
  Christian Ehrhardt <christian.ehrhardt@canonical.com>,
 Build-Depends:
- architecture-is-64-bit,
  autoconf (>= 2.64),
  automake (>= 1.10),
  bzip2,
@@ -23,7 +23,7 @@
  libbpf-dev,
  libcap-ng-dev,
  libdbus-1-dev [amd64 i386 ppc64el arm64 riscv64],
- libdpdk-dev (>= 22.11.3-2~) [amd64 i386 ppc64el arm64 riscv64],
+ libdpdk-dev (>= 22.11) [amd64 i386 ppc64el arm64 riscv64],
  libnuma-dev [amd64 i386 ppc64el arm64 riscv64 s390x],
  libpcap-dev [amd64 i386 ppc64el arm64 riscv64],
  libssl-dev,
