## openvswitch 3.3.0~git20240118.e802fe7

=== debian/changelog ===
openvswitch (3.3.0~git20240118.e802fe7-2) unstable; urgency=medium

  * Team upload.
  * d/p/0001-tests-ovsdb-server-Fix-config-file-same-schema-test.patch:
    Fix s390x build error.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Sat, 20 Jan 2024 09:45:12 +0000

openvswitch (3.3.0~git20240118.e802fe7-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.3.0_git20240118.e802fe7'

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 18 Jan 2024 20:43:44 +0000
