## openvswitch 3.3.0

=== debian/changelog ===
openvswitch (3.3.0-1ubuntu1) noble; urgency=medium

  * d/p/lp-2060434-*.patch: Fix FTBFS caused by change of behavior in
    Python 3.12.x (LP: #2060434).
  * d/tests/run-tests.sh: Use 1G hugepages for dpdk test on arm64
    (LP: #2059400).
  * d/tests/userspace-skip-tests.txt: Skip 802.1ad - vlan_limit to
    unblock s390x autopkgtests pending investigation of (LP: #2060245).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Mon, 08 Apr 2024 14:03:46 +0000

openvswitch (3.3.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:11:04 +1100

openvswitch (3.3.0-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:32:06 +0000

openvswitch (3.3.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.3.0'.
  * d/p/dp-packet-Reset-offload_offsets-when-clearing-a-packet.patch:
    Drop, included in new upstream version.
  * d/p/0001-tests-ovsdb-server-Fix-config-file-same-schema-test.patch:
    Drop, included in new upstream version.
  * d/openvswitch-switch.lintian-overrides: Remove obsolete tag "package-
    supports-alternative-init-but-no-init.d-script".
  * d/control: Replace pkg-config with pkgconf as build dependency.
  * CVE-2023-3966: Fix invalid memory access in Geneve with HW offload
    (Closes: #1063492).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 29 Feb 2024 14:25:30 +0100

openvswitch (3.3.0~git20240118.e802fe7-3) unstable; urgency=medium

  * Team upload.
  * d/p/dp-packet-Reset-offload_offsets-when-clearing-a-packet.patch:
    Cherry-pick fix, required for OVN branch-24.03 snapshot.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 05 Feb 2024 08:45:19 +0000
