=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  Luca Boccassi <bluca@debian.org>,
  Christian Ehrhardt <christian.ehrhardt@canonical.com>,
 Build-Depends:
+ architecture-is-64-bit,
  autoconf (>= 2.64),
  automake (>= 1.10),
  bzip2,
@@ -23,7 +24,7 @@
  libbpf-dev,
  libcap-ng-dev,
  libdbus-1-dev [amd64 i386 ppc64el arm64 riscv64],
- libdpdk-dev (>= 22.11) [amd64 i386 ppc64el arm64 riscv64],
+ libdpdk-dev (>= 22.11.3-2~) [amd64 i386 ppc64el arm64 riscv64],
  libnuma-dev [amd64 i386 ppc64el arm64 riscv64 s390x],
  libpcap-dev [amd64 i386 ppc64el arm64 riscv64],
  libssl-dev,
@@ -31,7 +32,7 @@
  libunbound-dev,
  libxdp-dev (>= 1.2.9~) [!alpha !arc !hppa !ia64 !m68k !sh4],
  openssl,
- pkg-config,
+ pkgconf,
  procps,
  python3-all-dev,
  python3-setuptools,
