## openvswitch 3.3.1

=== debian/changelog ===
openvswitch (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.3.1'
  * d/patches: Drop patches included in new upstream release.
  * d/tests: Use build-needed restriction field.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Sat, 08 Jun 2024 13:11:24 +0200

openvswitch (3.3.0-5) unstable; urgency=medium

  * Team upload.

  [ Thomas Goirand ]
  * Add loong64 support. Thanks zhangdandan for the patch. (Closes: #1065591).

  [ Frode Nordahl ]
  * d/p/ofproto-dpif-xlate-Fix-continuations-with-associated-
    metering.patch: Cherry-pick fix required for OVN 24.03.2.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Sat, 18 May 2024 22:03:21 +0200

openvswitch (3.3.0-4) unstable; urgency=medium

  * Team upload.
  * d/tests: Use NMAP implementation of netcat (LP: #2062506).
  * d/tests: Allow populating TEST_LIST from environment.
  * d/tests: Use 1G hugepages for dpdk test on arm64 (LP: #2059400).
  * d/tests/run-tests.sh: Fix shellcheck lint.
  * d/tests: Bump number of 1G hugepages to 3 for arm64 (LP: #2063112).
  * d/tests: Skip flaky tests.
  * d/tests: Skip tests not fitting memory constraints in arm64 CI
    (LP: #2063152).
  * d/tests/testlist.py: Handle range of single test correctly.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 01 May 2024 09:37:03 +0200

openvswitch (3.3.0-3) unstable; urgency=medium

  * Blacklist 3 more unit tests for risc-v.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Apr 2024 16:40:42 +0200

openvswitch (3.3.0-2) unstable; urgency=medium

  * Add fix-in-ssl-handshake-failure-test.patch (Closes: #1069406).
  * Add lp-2060434-tests-Fix-compatibility-issue-with-Python-3.13-in.patch
    taken from Ubuntu.
  * Blacklist non-deterministic tests.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 13:34:51 +0200
