=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openvswitch
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Simon Horman <horms@debian.org>,
  Thomas Goirand <zigo@debian.org>,
@@ -23,10 +22,10 @@
  iproute2,
  libbpf-dev,
  libcap-ng-dev,
- libdbus-1-dev [amd64 i386 ppc64el arm64 riscv64],
- libdpdk-dev (>= 22.11.3-2~) [amd64 i386 ppc64el arm64 riscv64],
- libnuma-dev [amd64 i386 ppc64el arm64 riscv64 s390x],
- libpcap-dev [amd64 i386 ppc64el arm64 riscv64],
+ libdbus-1-dev [amd64 i386 ppc64el arm64 riscv64 loong64],
+ libdpdk-dev (>= 22.11.3-2~) [amd64 i386 ppc64el arm64 riscv64 loong64],
+ libnuma-dev [amd64 i386 ppc64el arm64 riscv64 loong64 s390x],
+ libpcap-dev [amd64 i386 ppc64el arm64 riscv64 loong64],
  libssl-dev,
  libtool,
  libunbound-dev,
@@ -181,7 +180,7 @@
  the Open vSwitch kernel-based switch.
 
 Package: openvswitch-switch-dpdk
-Architecture: amd64 arm64 i386 ppc64el riscv64
+Architecture: amd64 arm64 i386 ppc64el riscv64 loong64
 Pre-Depends: ${misc:Pre-Depends},
 Depends:
  dpdk,
