## openvswitch 3.3.4

=== debian/changelog ===
openvswitch (3.3.4-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream 3.3.4 release (LP: #2109823)

  * Former patches now fixed upstream:
    - d/p/lp-2060434-tests-Fix-compatibility-issue-with-Python-3.13-in.patch
    - d/p/ofproto-dpif-xlate-Fix-continuations-with-associated-metering.patch
    - d/p/ovs-ctl-ipsec.patch
  * Cleanup debian/patches from make targets:
    - d/automake.mk

 -- Arif Ali <arif.ali@canonical.com>  Fri, 02 May 2025 08:53:08 +0000

openvswitch (3.3.0-1ubuntu3.2) noble-security; urgency=medium

  * No-change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jan 2025 10:01:55 -0500

openvswitch (3.3.0-1ubuntu3.1) noble; urgency=medium

  * SRU: LP: #2083480: No-change rebuild to disable frame pointers on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 14:40:51 +0200

openvswitch (3.3.0-1ubuntu3) noble; urgency=medium

  * d/p/ofproto-dpif-xlate-Fix-continuations-with-associated-
    metering.patch: Cherry-pick fix required for OVN 24.03.2
    (LP: #2066906).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 23 May 2024 13:14:27 +0000

openvswitch (3.3.0-1ubuntu2) noble; urgency=medium

  * d/tests: Allow populating TEST_LIST from environment.
  * d/tests: Bump number of 1G hugepages to 3 for arm64 (LP: #2063112).
  * d/tests: Skip flaky tests.
  * d/tests/testlist.py: Handle range of single test correctly.
  * d/tests: Skip tests not fitting memory constraints in arm64 CI
    (LP: #2063152).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 23 Apr 2024 19:01:56 +0000
