=== debian/tests/control ===
Tests: afxdp, kmod, offloads, userspace
Depends:
 @,
 conntrack,
 curl,
 devscripts,
 ethtool,
 equivs,
 net-tools,
 netcat-openbsd,
 python3-pyftpdlib,
 tcpdump,
 wget,
Restrictions:
 allow-stderr,
 isolation-machine,
 needs-root,
 rw-build-tree,

# The dpdk tests are marked `skippable`, because they have environment specific
# requirements which may or may not be available at runtime (hugepages setup).
Tests: dpdk
Depends:
 @,
 conntrack,
 curl,
 devscripts,
 dpdk-dev [amd64 i386 ppc64el arm64 riscv64],
 ethtool,
 equivs,
 net-tools,
 netcat-openbsd,
 python3-pyftpdlib,
 tcpdump,
 wget,
Restrictions:
 allow-stderr,
 isolation-machine,
 needs-root,
 rw-build-tree,
 skippable,
