## openvswitch 3.4.0

=== debian/changelog ===
openvswitch (3.4.0-1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Wed, 18 Sep 2024 13:50:07 +0000

openvswitch (3.4.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.4.0'
  * d/control: Bump dpdk dependency.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Thu, 15 Aug 2024 21:25:31 +0200
