=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libbpf-dev,
  libcap-ng-dev,
  libdbus-1-dev [amd64 i386 ppc64el arm64 riscv64 loong64],
- libdpdk-dev (>= 22.11.3-2~) [amd64 i386 ppc64el arm64 riscv64 loong64],
+ libdpdk-dev (>= 23.11.1-2~) [amd64 i386 ppc64el arm64 riscv64 loong64],
  libnuma-dev [amd64 i386 ppc64el arm64 riscv64 loong64 s390x],
  libpcap-dev [amd64 i386 ppc64el arm64 riscv64 loong64],
  libssl-dev,
