=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 					 $(DATAPATH_CONFIGURE_OPTS) \
 					 $(EXTRA_CONFIGURE_OPTS) \
 					 )
-ifneq (,$(filter i386 amd64 ppc64el arm64 riscv64, $(DEB_HOST_ARCH)))
+ifneq (,$(filter i386 amd64 ppc64el arm64 riscv64 loong64, $(DEB_HOST_ARCH)))
 	test -d _dpdk || mkdir _dpdk
 	cd _dpdk && ( \
 		test -e Makefile || \
@@ -47,8 +47,9 @@
 
 
 # NOTE(jamespage): by default, just run all tests
-TEST_LIST =
-TEST_LIST_DPDK =
+# NOTE(zigo): by default, blacklist non-deterministic tests
+TEST_LIST = 1-1223 1227-2391 2394-2410 2413-2442 2447-
+TEST_LIST_DPDK = $(TEST_LIST)
 
 # mips64el:
 #    20: bfd - bfd decay FAILED (bfd.at:396)
@@ -58,7 +59,7 @@
 #  1021: ofproto-dpif - select group with weights        FAILED (ofproto-dpif.at:535)
 #  1069: ofproto-dpif - controller action without megaflows
 ifneq (,$(filter mips64el, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-19 22-531 533-1020 1022-1032 1034 1037-1056 1058-1068 1070 1072-1120 1122-
+TEST_LIST = 1-19 22-531 533-1020 1022-1032 1034 1037-1056 1058-1068 1070 1072-1120 1122-1223 1227-2391 2394-2410 2413-2442 2447-
 TEST_LIST_DPDK = $(TEST_LIST)
 endif # mips64el
 
@@ -67,7 +68,7 @@
 #  1021: ofproto-dpif - select group with weights        FAILED (ofproto-dpif.at:535)
 #  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
 ifneq (,$(filter arm64, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-19 21-158 160-531 533-1020 1022-1056 1058-
+TEST_LIST = 1-19 21-158 160-531 533-1020 1022-1056 1058-1068 1070 1072-1120 1122-1223 1227-2391 2394-2410 2413-2442 2447-
 TEST_LIST_DPDK = $(TEST_LIST)
 endif #arm64
 
@@ -80,14 +81,14 @@
 #   969: ofproto - flow monitoring pause and resume      FAILED (ofproto.at:4851)
 #   998: PMD - monitor threads                           FAILED (pmd.at:660)
 #  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
-#  1155: ofproto-dpif - continuation - resubmit - OpenFlow10 FAILED (ovs-macros.at:242)
+#  1155: ofproto-dpif - continuation - resubmit - OpenFlow10 FAILED (ovs-macros.at:242)7
 #  1156: ofproto-dpif - continuation - resubmit - OpenFlow13 FAILED (ovs-macros.at:242)
 #  1187: ofproto-dpif - sFlow packet sampling - LACP structures FAILED (ofproto-dpif.at:7205)
 #  2184: STP - dummy interface                           FAILED (stp.at:439)
 #  2185: STP - flush the fdb and mdb when topology changed FAILED (stp.at:529)
 #  2249: auto-attach - packets                           FAILED (auto-attach.at:5)
 ifneq (,$(filter sparc64, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-19 22-25 27-477 479-531 533-926 928-944 946-968 970-997 999-1056 1058-1154 1157-1186 1188-2183 2186-2248 2250-
+TEST_LIST = 1-19 22-25 27-477 479-531 533-926 928-944 946-968 970-997 999-1056 1058-1154 1157-1223 1227-1186 1188-2183 2186-2248 2250-2391 2394-2410 2413-2442 2447-
 TEST_LIST_DPDK = $(TEST_LIST)
 endif #sparc64
 
@@ -119,7 +120,7 @@
 #  1805: ovsdb-server combines updates on backlogged connections FAILED (ovsdb-server.at:1213)
 #  1806: ovsdb-server transaction history size           FAILED (ovsdb-server.at:1282)
 ifneq (,$(filter riscv64, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-19 22-531 533-757 759-944 947-968 970-1020 1022-1035 1037 1041-1056 1058-1068 1070-1071 1073-1104 1106-1152 1157-1158 1165-1166 1169-1186 1188-1804 1807-
+TEST_LIST = 1-19 22-28 30-531 533-757 759-944 947-968 970-1020 1022-1223 1227-1035 1037 1041-1056 1058-1068 1070-1071 1073-1104 1106-1152 1157-1158 1165-1166 1169-1186 1188-1234 1237-1804 1807-2391 2394-2410 2413-2442 2447-
 TEST_LIST_DPDK = $(TEST_LIST)
 endif #riscv64
 
@@ -128,7 +129,7 @@
 #  1021: ofproto-dpif - select group with weights        FAILED (ofproto-dpif.at:535)
 #  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
 ifneq (,$(filter ia64, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-19 22-531 533-1020 1022-1056 1058-
+TEST_LIST = 1-19 22-531 533-1020 1022-1056 1058-1223 1227-2391 2394-2410 2413-2442 2447-
 TEST_LIST_DPDK = $(TEST_LIST)
 endif #ia64
 
@@ -142,23 +143,10 @@
 	fi
 # Skip DPDK testing on arm64 as builders don't have crc32 support
 # which is used in aarch64 based crc optimization in ovs >= 2.12.0~
-ifneq (,$(filter i386 amd64 ppc64el riscv64, $(DEB_HOST_ARCH)))
+ifneq (,$(filter i386 amd64 ppc64el riscv64 loong64, $(DEB_HOST_ARCH)))
 	if $(MAKE) -C _dpdk check TESTSUITEFLAGS='$(PARALLEL) $(TEST_LIST_DPDK)' || \
 				$(MAKE) -C _dpdk check TESTSUITEFLAGS='--recheck'; then :; \
 	else \
 		cat _dpdk/tests/testsuite.log; \
 		exit 1; \
 	fi
-endif # i386/amd64/ppc64el
-endif # nocheck
-
-override_dh_auto_build:
-	dh_auto_build --sourcedirectory=_debian -- distdir-am distdir=openvswitch
-	dh_auto_build --sourcedirectory=_debian
-ifneq (,$(filter i386 amd64 ppc64el arm64 riscv64, $(DEB_HOST_ARCH)))
-	dh_auto_build --sourcedirectory=_dpdk
-endif
-
-execute_before_dh_auto_clean:
-	find . -name "*.pyc" -delete
-	rm -f package.m4
