=== debian/tests/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
  @,
  conntrack,
  curl,
- devscripts,
  ethtool,
- equivs,
  net-tools,
- netcat-openbsd,
+ ncat,
  python3-pyftpdlib,
  tcpdump,
  wget,
 Restrictions:
  allow-stderr,
+ build-needed,
  isolation-machine,
  needs-root,
  rw-build-tree,
@@ -24,17 +23,16 @@
  @,
  conntrack,
  curl,
- devscripts,
  dpdk-dev [amd64 i386 ppc64el arm64 riscv64],
  ethtool,
- equivs,
  net-tools,
- netcat-openbsd,
+ ncat,
  python3-pyftpdlib,
  tcpdump,
  wget,
 Restrictions:
  allow-stderr,
+ build-needed,
  isolation-machine,
  needs-root,
  rw-build-tree,
