## openvswitch 3.5.0~git20241129.2af7cef

=== debian/changelog ===
openvswitch (3.5.0~git20241129.2af7cef-2build1) plucky; urgency=medium

  * No-change rebuild against DPDK 24.11

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 10 Jan 2025 07:36:22 +0100

openvswitch (3.5.0~git20241129.2af7cef-2) unstable; urgency=medium

  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Mon, 16 Dec 2024 11:14:05 +0000

openvswitch (3.5.0~git20241129.2af7cef-1) experimental; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.5.0_git20241129.2af7cef'.
  * d/p/netdev-offload-dpdk-Fix-build-with-v24.11-rc1.patch: Fix build
    with DPDK 24.11.
  * d/control: Bump DPDK build dependency to 24.11.
  * d/control: Bump xdp-tools build dependency to 1.4.3.
  * d/p/ovs-dev-netdev-dpdk-Restore-outer-UDP-checksum-for-Intel-
    nics..patch: Restore outer UDP checksum for Intel nics.
  * d/control: Suggest python3-openvswitch dependency for ovs-flowviz.
  * d/control: Suggest python3-netaddr dependency for ovs-flowviz.
  * d/control: Suggest python3-graphviz dependency for ovs-flowviz.
  * d/rules: Use pybuild to build and install OVS Python module.
  * d/openvswitch-common.install: Add ovs-flowviz binary.
  * d/tests: Add test for OVS Python extension.
  * d/rules: Only use ovs-vswitchd binary linked with DPDK for
    build-time DPDK test (LP: #2090931).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 03 Dec 2024 16:35:34 +0100
