=== debian/control ===
--- 
+++ 
@@ -23,13 +23,13 @@
  libbpf-dev,
  libcap-ng-dev,
  libdbus-1-dev [amd64 i386 ppc64el arm64 riscv64 loong64],
- libdpdk-dev (>= 23.11.1-2~) [amd64 i386 ppc64el arm64 riscv64 loong64],
+ libdpdk-dev (>= 24.11~) [amd64 i386 ppc64el arm64 riscv64 loong64],
  libnuma-dev [amd64 i386 ppc64el arm64 riscv64 loong64 s390x],
  libpcap-dev [amd64 i386 ppc64el arm64 riscv64 loong64],
  libssl-dev,
  libtool,
  libunbound-dev,
- libxdp-dev (>= 1.2.9~) [!alpha !arc !hppa !ia64 !m68k !sh4],
+ libxdp-dev (>= 1.4.3~) [!alpha !arc !hppa !ia64 !m68k !sh4],
  openssl,
  pkgconf,
  procps,
@@ -53,6 +53,9 @@
 Suggests:
  ethtool,
  openvswitch-doc,
+ python3-netaddr,
+ python3-graphviz,
+ python3-openvswitch (= ${binary:Version}),
 Breaks:
  openvswitch-switch (<< 2.13.0~git20200212.15ae9db33-0ubuntu2~),
 Replaces:
