=== debian/rules ===
--- 
+++ 
@@ -133,20 +133,18 @@
 TEST_LIST_DPDK = $(TEST_LIST)
 endif #ia64
 
+# LP: #2090931 DPDK 24.11 increases the residential footprint for binaries
+# linked with DPDK.
+#
+# The OVS build system currently links all binaries with DPDK, consequently
+# some tests no longer pass in constrained CI environment due to the increased
+# memory footprint.
+#
+# On an installed system with DPDK enabled, all binaries come from the normal
+# build tree, with the exception of the ovs-vswitchd daemon.
+#
+# We mimic this in our build time test for DPDK to avoid the issue.
+DPDK_AUTOTEST_PATH = $(CURDIR)/_debian/utilities:vswitchd:$(CURDIR)/_debian/ovsdb:$(CURDIR)/_debian/vtep:tests:$(CURDIR)/_debian/ipsec::
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	if $(MAKE) -C _debian check TESTSUITEFLAGS='$(PARALLEL) $(TEST_LIST)' || \
-                $(MAKE) -C _debian check TESTSUITEFLAGS='--recheck'; then :; \
-	else \
-		cat _debian/tests/testsuite.log; \
-		exit 1; \
-	fi
-# Skip DPDK testing on arm64 as builders don't have crc32 support
-# which is used in aarch64 based crc optimization in ovs >= 2.12.0~
-ifneq (,$(filter i386 amd64 ppc64el riscv64 loong64, $(DEB_HOST_ARCH)))
-	if $(MAKE) -C _dpdk check TESTSUITEFLAGS='$(PARALLEL) $(TEST_LIST_DPDK)' || \
-				$(MAKE) -C _dpdk check TESTSUITEFLAGS='--recheck'; then :; \
-	else \
-		cat _dpdk/tests/testsuite.log; \
-		exit 1; \
-	fi
