=== debian/tests/control ===
--- 
+++ 
@@ -37,3 +37,7 @@
  needs-root,
  rw-build-tree,
  skippable,
+
+Tests: python-extension
+Depends:
+  @
