## openvswitch 3.5.0

=== debian/changelog ===
openvswitch (3.5.0-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:11:30 +0000

openvswitch (3.5.0-1) unstable; urgency=medium

  * Team upload.

  [ Frode Nordahl ]
  * d/control: Add X-Python3-Version stanza.
  * d/python3-openvswitch.install: Support building extension for multiple
    Python versions.
  * d/rules: Drop unnecessary Python version environment variables.
  * d/t/python-extension: Run test with all available python3
    interpreters.
  * d/rules: Move pybuild environment setup/command to variable allowing
    reuse across make targets.
  * d/t/control: Add python3-all for python-extension test.
  * d/control: Drop python3:Depends macro for -dpdk.
  * d/control: Move Python depends to recommends where appropriate.
  * d/control: Make direct/indirect dependencies of ovs-flowviz
    recommended for better UX.
  * d/control: Drop python3:Depends macro for -vtep.
  * d/control: Drop shlibs:Depends macro for -ipsec.
  * d/control: Add missing recommended/suggested python dependencies.
  * Update upstream source from tag 'upstream/3.5.0_git20250215.6740a52'
  * d/patches/*: Drop, no longer needed.
  * Update upstream source from tag 'upstream/3.5.0'

  [ Ilya Maximets ]
  * d/scripts/openvswitch-testcontroller.default: Refer to SSL
    configuration as SSL/TLS.
  * Set release date for 3.5.0.

  [ Roi Dayan ]
  * d/openvswitch-switch.*.service: Use PIDFile with systemd.

  [ Han Zhou ]
  * d/openvswitch-switch.ovsdb-server.service: Let *-ctl handle runtime
    directory.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 18 Feb 2025 03:11:12 +0000
