=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 PARALLEL =
 endif
 
-PYTHON3S:=$(shell py3versions -vr)
 DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 override_dh_auto_configure:
