## openvswitch 3.5.1

=== debian/changelog ===
openvswitch (3.5.1-0ubuntu0.1) plucky; urgency=medium

  * New upstream 3.5.1 release (LP: #2109823)

 -- Arif Ali <arif-ali@ubuntu.com>  Mon, 30 Jun 2025 14:31:13 +0000
