=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openvswitch
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Simon Horman <horms@debian.org>,
  Thomas Goirand <zigo@debian.org>,
@@ -42,20 +43,20 @@
 Homepage: http://openvswitch.org/
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/openvswitch/-/tree/debian/experimental
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/openvswitch.git
+X-Python3-Version: >= 3.10
 
 Package: openvswitch-common
 Architecture: linux-any
 Depends:
  openssl,
  ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
  ${python3:Depends},
- ${shlibs:Depends},
+ python3-openvswitch (= ${binary:Version}),
 Suggests:
  ethtool,
  openvswitch-doc,
- python3-netaddr,
- python3-graphviz,
- python3-openvswitch (= ${binary:Version}),
 Breaks:
  openvswitch-switch (<< 2.13.0~git20200212.15ae9db33-0ubuntu2~),
 Replaces:
@@ -100,7 +101,6 @@
  python3-openvswitch (= ${binary:Version}),
  strongswan,
  ${misc:Depends},
- ${shlibs:Depends},
 Suggests: python3:any
 Breaks:
  openvswitch-common (<< 2.17~),
@@ -160,12 +160,13 @@
  netbase,
  openvswitch-common (= ${binary:Version}),
  procps,
+ uuid-runtime,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
  python3-netifaces,
  python3-openvswitch (>= ${binary:Version}),
- uuid-runtime,
- ${misc:Depends},
  ${python3:Depends},
- ${shlibs:Depends},
 Breaks:
  openvswitch-common (<< 2.17~),
 Replaces:
@@ -189,7 +190,6 @@
  dpdk,
  openvswitch-switch (= ${binary:Version}),
  ${misc:Depends},
- ${python3:Depends},
  ${shlibs:Depends},
 Enhances:
  openvswitch-switch,
@@ -264,7 +264,6 @@
  openvswitch-switch (>= ${binary:Version}),
  python3-openvswitch (>= ${binary:Version}),
  ${misc:Depends},
- ${python3:Depends},
  ${shlibs:Depends},
 Suggests: python3:any
 Breaks:
@@ -290,9 +289,14 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
-Suggests:
+Recommends:
+ python3-click,
  python3-netaddr,
  python3-pyparsing,
+ python3-rich,
+Suggests:
+ python3-graphviz,
+ python3-unbound,
 Description: Python 3 bindings for Open vSwitch
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
