=== debian/tests/control ===
--- 
+++ 
@@ -40,4 +40,5 @@
 
 Tests: python-extension
 Depends:
-  @
+  @,
+  python3-all,
