## openvswitch 3.6.0~git20250813.852f07e

=== debian/changelog ===
openvswitch (3.6.0~git20250813.852f07e-maysync1) questing; urgency=medium

  * Update upstream source from tag 'upstream/3.6.0~git20250813.852f07e'.
  * d/tests: Drop bind mount trick for DPDK test (LP: #2019069).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 13 Aug 2025 06:51:21 +0000

openvswitch (3.5.1-0ubuntu1) questing; urgency=medium

  * New upstream 3.5.1 release (LP: #2109823)

 -- Arif Ali <arif-ali@ubuntu.com>  Mon, 30 Jun 2025 14:31:13 +0000
